curl --request GET \
--url https://api.despezzas.com/v1/reports/cash-flow \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.despezzas.com/v1/reports/cash-flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.despezzas.com/v1/reports/cash-flow"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.despezzas.com/v1/reports/cash-flow"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"as_of": "2026-09-15",
"basis": "cash",
"by_account": [
{
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"is_open_finance": false,
"net": 380000,
"realized_in": 800000,
"realized_out": 420000,
"title": "Nubank",
"logo": "https://cdn.despezzas.com/banks/nubank.png"
}
],
"closing_balance": 1130000,
"daily": [
{
"net": 75000,
"period": "2026-09-15",
"realized_in": 800000,
"realized_out": 420000,
"running_balance": 1250000,
"bill_payments": 185000,
"card_bills_due": 0,
"projected_in": 0,
"projected_out": 120000
}
],
"lowest_balance": {
"period": "2026-09-20",
"running_balance": 690000
},
"monthly": [
{
"net": 75000,
"period": "2026-09-15",
"realized_in": 800000,
"realized_out": 420000,
"running_balance": 1250000,
"bill_payments": 185000,
"card_bills_due": 0,
"projected_in": 0,
"projected_out": 120000
}
],
"opening_balance": 870000,
"overdue": {
"to_pay": {
"amount": 120000,
"count": 1
},
"to_receive": {
"amount": 0,
"count": 0
}
},
"previous_range": {
"end_date": "2026-08-31",
"start_date": "2026-08-01"
},
"range": {
"end_date": "2026-09-30",
"start_date": "2026-09-01"
},
"top_inflows": [
{
"amount": 250000,
"date": "2026-09-20",
"id": "8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
"is_expense": true,
"paid": false,
"title": "Aluguel",
"type": "RECURRENT",
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"cash_date": null,
"category": {
"id": "b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"is_essential": true,
"title": "Alimentação",
"icon_background_color": "#F97316",
"icon_name": "restaurant",
"image": null
},
"credit_card_id": null,
"installment_label": null,
"is_bill_payment": false,
"is_overdue": false,
"logo_url": null
}
],
"top_outflows": [
{
"amount": 250000,
"date": "2026-09-20",
"id": "8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
"is_expense": true,
"paid": false,
"title": "Aluguel",
"type": "RECURRENT",
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"cash_date": null,
"category": {
"id": "b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"is_essential": true,
"title": "Alimentação",
"icon_background_color": "#F97316",
"icon_name": "restaurant",
"image": null
},
"credit_card_id": null,
"installment_label": null,
"is_bill_payment": false,
"is_overdue": false,
"logo_url": null
}
],
"totals": {
"net": 260000,
"previous": {
"net": 140000,
"realized_in": 780000,
"realized_out": 640000
},
"realized_in": 800000,
"realized_out": 420000,
"variation_percent": {
"net": 85.7,
"realized_in": 2.6,
"realized_out": -34.4
},
"bill_payments": 185000,
"card_bills_due": 0,
"projected_in": 0,
"projected_out": 120000
},
"upcoming": [
{
"amount": 250000,
"date": "2026-09-20",
"id": "8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
"is_expense": true,
"paid": false,
"title": "Aluguel",
"type": "RECURRENT",
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"cash_date": null,
"category": {
"id": "b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"is_essential": true,
"title": "Alimentação",
"icon_background_color": "#F97316",
"icon_name": "restaurant",
"image": null
},
"credit_card_id": null,
"installment_label": null,
"is_bill_payment": false,
"is_overdue": false,
"logo_url": null
}
]
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}Fluxo de caixa
Realizado e previsto no intervalo (regime de caixa), com saldo acumulado por dia e por mês.
Escopo necessário: read.
curl --request GET \
--url https://api.despezzas.com/v1/reports/cash-flow \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.despezzas.com/v1/reports/cash-flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.despezzas.com/v1/reports/cash-flow"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.despezzas.com/v1/reports/cash-flow"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"as_of": "2026-09-15",
"basis": "cash",
"by_account": [
{
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"is_open_finance": false,
"net": 380000,
"realized_in": 800000,
"realized_out": 420000,
"title": "Nubank",
"logo": "https://cdn.despezzas.com/banks/nubank.png"
}
],
"closing_balance": 1130000,
"daily": [
{
"net": 75000,
"period": "2026-09-15",
"realized_in": 800000,
"realized_out": 420000,
"running_balance": 1250000,
"bill_payments": 185000,
"card_bills_due": 0,
"projected_in": 0,
"projected_out": 120000
}
],
"lowest_balance": {
"period": "2026-09-20",
"running_balance": 690000
},
"monthly": [
{
"net": 75000,
"period": "2026-09-15",
"realized_in": 800000,
"realized_out": 420000,
"running_balance": 1250000,
"bill_payments": 185000,
"card_bills_due": 0,
"projected_in": 0,
"projected_out": 120000
}
],
"opening_balance": 870000,
"overdue": {
"to_pay": {
"amount": 120000,
"count": 1
},
"to_receive": {
"amount": 0,
"count": 0
}
},
"previous_range": {
"end_date": "2026-08-31",
"start_date": "2026-08-01"
},
"range": {
"end_date": "2026-09-30",
"start_date": "2026-09-01"
},
"top_inflows": [
{
"amount": 250000,
"date": "2026-09-20",
"id": "8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
"is_expense": true,
"paid": false,
"title": "Aluguel",
"type": "RECURRENT",
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"cash_date": null,
"category": {
"id": "b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"is_essential": true,
"title": "Alimentação",
"icon_background_color": "#F97316",
"icon_name": "restaurant",
"image": null
},
"credit_card_id": null,
"installment_label": null,
"is_bill_payment": false,
"is_overdue": false,
"logo_url": null
}
],
"top_outflows": [
{
"amount": 250000,
"date": "2026-09-20",
"id": "8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
"is_expense": true,
"paid": false,
"title": "Aluguel",
"type": "RECURRENT",
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"cash_date": null,
"category": {
"id": "b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"is_essential": true,
"title": "Alimentação",
"icon_background_color": "#F97316",
"icon_name": "restaurant",
"image": null
},
"credit_card_id": null,
"installment_label": null,
"is_bill_payment": false,
"is_overdue": false,
"logo_url": null
}
],
"totals": {
"net": 260000,
"previous": {
"net": 140000,
"realized_in": 780000,
"realized_out": 640000
},
"realized_in": 800000,
"realized_out": 420000,
"variation_percent": {
"net": 85.7,
"realized_in": 2.6,
"realized_out": -34.4
},
"bill_payments": 185000,
"card_bills_due": 0,
"projected_in": 0,
"projected_out": 120000
},
"upcoming": [
{
"amount": 250000,
"date": "2026-09-20",
"id": "8f1c2a34-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
"is_expense": true,
"paid": false,
"title": "Aluguel",
"type": "RECURRENT",
"account_id": "3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f",
"cash_date": null,
"category": {
"id": "b1a2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"is_essential": true,
"title": "Alimentação",
"icon_background_color": "#F97316",
"icon_name": "restaurant",
"image": null
},
"credit_card_id": null,
"installment_label": null,
"is_bill_payment": false,
"is_overdue": false,
"logo_url": null
}
]
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Credenciais de API inválidas",
"statusCode": 401,
"error": "Unauthorized"
}Authorizations
HTTP Basic com o token como usuário e o secret como senha: curl -u dpz_tk_…:dpz_sk_…. Crie a chave em https://despezzas.com/settings/api-keys.
Query Parameters
Início do período (YYYY-MM-DD).
"2026-09-01"
Fim do período (YYYY-MM-DD).
"2026-09-30"
Filtra pelas contas informadas (repita o parâmetro ou use account_ids[]). Também aceita a forma account_ids[].
["3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f"]
Filtra pelos cartões informados. Também aceita a forma credit_card_ids[].
["c4d5e6f7-0a1b-4c2d-9e3f-4a5b6c7d8e9f"]
Response
Sucesso.
Fluxo de caixa realizado + previsto no intervalo, com saldo acumulado.
Data de referência (YYYY-MM-DD).
"2026-09-15"
Regime.
cash "cash"
Movimento por conta.
Show child attributes
Show child attributes
Saldo previsto ao fim do intervalo. Em centavos.
1130000
Um balde por dia.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Um balde por mês.
Show child attributes
Show child attributes
Saldo no início do intervalo. Em centavos.
870000
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maiores entradas.
Show child attributes
Show child attributes
Maiores saídas.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Próximos lançamentos previstos.
Show child attributes
Show child attributes